nz-upload([nzLimit]="1", [nzBeforeUpload]="beforeUpload", [nzShowUploadList]="false", [nzListType]="listType")
  button(*ngIf="!isCard", nz-button, [nzType]="type", [nzSize]="size")
    i(nz-icon, [nzType]="icon")
    | {{ label }}
  ng-container(*ngIf="isCard")
    .picture-card
      i(nz-icon, [nzType]="icon")
      div(class="ant-upload-text") {{ label }}
